#modname "Astral Queens, Mana Eaters"
#description "Early age Mana eaters. Created by RooCat_UK"
#version 1.0
#icon "AstralMaidens/AstralQueens_icon.tga"

--nations
-- IDLIST: Monsters = 8000-8300, Weapons = 2000-2740, Nation = 249, Namelist = 249


#newnation
#clearnation 
#name "Astral Queens"
#epithet "Mana Eaters"
#era 1
#descr "Void traveling race, who travel to distance worlds to feed on magic"
#summary "Race: Humanoid jackal headed creatures.
Military: Jackal troops armed with thunder spears lead by war mages.
Magic: Strong Astral magic.
Priests: stronk.
Special: core troops are summoned by a void mother with astral pearls"
#brief "blah blah"
#color 0.3 0.5 0.2
#secondarycolor 0.5 0.1 0.1
#flag "AstralMaidens/AstralMaidens_flag.tga"

#addgod 3500 --ashtor

#addreccom 3502 --librarian
#addreccom 3503 --Chanter

#addrecunit 3501 --spear maiden
#addrecunit 3580 --slave

#homerealm 10

#end

--Weapons

#newweapon 800
#name "Thunder Spear"
#rpcost 1000
#fullstr
#nratt 1
#att 2
#def 1
#len 4
#rcost 2
#sound 12
#pierce
#dt_drain
#magic
#friendlyimmune
#explspr 10134 --10121 sparkles 10129/34/ blue expl
#end

--------------
#newweapon 801
#name "Ashtor's foot"
#dmg 1
#fullstr
#nratt 1
#att 2
#len 0
#def 0
#dt_drain
#sound 89
#armornegating
#flyingimmune
#friendlyimmune
#explspr 10121
#magic
#bonus
#end

---------------
#newweapon 802
#name "Ashtor's fist"
#dmg 1
#fullstr
#nratt 1
#len 0
#att 5
#def 10
#dt_drain
#sound 78
#armornegating
#friendlyimmune
#explspr 10121
#magic
#bonus
#end

---------------
#newweapon 803
#name "Ashtor's maw"
#dmg 1
#fullstr
#nratt 1
#len 0
#att 5
#def 10
#dt_drain
#sound 78
#armornegating
#friendlyimmune
#explspr 10121
#magic
#bonus
#end

--------------
#newweapon 804
#name "Chanter staff"
#dmg 10
#nratt 1
#att 50
#sound 24
#range 60
#dt_drain
#magic
#friendlyimmune
--#aoe 1
#bonus
--#secondaryeffectalways 232
--#beam
#explspr 10101
#flyspr 10307 1
#end

--------------
#newweapon 805
#name "chanters dagger"
#dmg 10
#nratt 2
#att 10
#sound 7
#dt_drain
#magic
#bonus
#end

--Armors

#newarmor 300
#rpcost 10
#name "Maiden Shield"
#type 4
#def 10
#enc 0
#rcost 0
#magicarmor
#end

--units

--gods

#newmonster 3500
#name "Ashtor"
#descr "God unit"
#spr1 "AstralMaidens/ashtor_1.tga"
#spr2 "AstralMaidens/ashtor_2.tga"
#weapon 801 --"Ashtor's foot"
#weapon 802 --ashtor's fist
#drawsize -70

#startdom 4
#homerealm 10

#hp 1000
#att 20
#ap 50
#str 30
#def 20
#prot 10
#size 6
#mr 18
#mor 20
#enc 0
#mapmove 20
#magicskill 4 5
#eyes 2
#voidsanity 20
#humanoid
#female
#holy
#magicbeing
#hpoverflow
#immortal
#awe 1
#horrormark
#magicpower 2
#dompower 2
#darkvision 100
#neednoteat
#nametype 170
#superiormagicleader
#superiorleader
#inspirational 10
#gemprod 4 10
--#trample
--#trampswallow
--#incorporate 10
#autohealer 5
#end

--Maidens

#newmonster 3501
#name "Spear Maiden"
#descr "Core troops of the Astral maidens"
#spr1 "AstralMaidens/spearmaiden_1.tga"
#spr2 "AstralMaidens/spearmaiden_2.tga"
#drawsize 2
#rcost 100
#rpcost 100
#gcost 10000
#hp 100
#str 25
#def 20
#prot 10
#size 2
#mr 18
#mor 20
#enc 0
#mapmove 16
#ap 25
#eyes 2
#voidsanity 20
#weapon 800 --thunder spear
#armor 300 --maiden shield
#humanoid
#female
#holy
#magicbeing
#hpoverflow
#awe 1
#horrormark
#magicpower 2
#dompower 2
#darkvision 100
#neednoteat
--#nametype 170
#lesserhorror

#magicpower

#end

---------------------------------
#newmonster 3502
#name "Librarian"
#nametype 171
#spr1 "AstralMaidens/Librarian_1.tga"
#spr2 "AstralMaidens/Librarian_2.tga"
#weapon 804 --chanter dagger
#reclimit 1
#rcost 100
#rpcost 100
#gcost 10000
#hpoverflow
#hp 100
#str 25
#def 20
#prot 10
#mr 18
#mor 20
#enc 0
#ap 25
#size 4
#drawsize -80

#eyes 2
#magicbeing
#voidsanity 20
#humanoid
#female

#reqlab

#teleport
#startage -1
#maxage 1000
#horrormark
#deathfire 20000

--#trample
--#trampswallow
--#incorporate 30

#neednoteat
#superiorleader
#superiormagicleader
#inspirational 10

#magicskill 4 5 --astral

#allrange 20

#fixedresearch 150
--#researchbonus 50
#inspiringres 50
#drainimmune
#magicimmune
#divineins
--#gemprod 4 100
#onebattlespell 0
#spiritsight
#polyimmune
#combatcaster
#fastcast 200

#end

--------------------------------------------
#newmonster 3503
#name "Chanter"
#nametype 119
#spr1 "AstralMaidens/mother_1.tga"
#spr2 "AstralMaidens/mother_2.tga"
#weapon 804 --chanters staff
#weapon 805 --chanters dagger
#reclimit 1
#rcost 100
#rpcost 100
#gcost 10000
#hpoverflow
#hp 100
#drawsize -80
#str 10
#def 10
#prec 50
#prot 10
#size 4
#mr 18
#mor 20
#enc 0
#mapmove 20
#ap 25
#reqtemple

#female
#holy
#magicbeing
#eyes 2
#voidsanity 20
#humanoid
#maxage 5000
#horrormark

#deathfire 200
#trample
#trampswallow
#incorporate 10
#neednoteat
#inspirational 10

#magicskill 8 3
#superiormagicleader
#mason
#spreaddom 2
#dompower 1
#autohealer 2
#autodishealer 2
#end

--Mortal slaves

#newmonster 3580
#name "Mortal Slave"
#spr1 "AstralMaidens/slave_1.tga"
#spr2 "AstralMaidens/slave_2.tga"
#rcost 1
#rpcost 10
#gcost 10

#age 18
#maxage 50
#hp 10
#humanoid
#size 2

#str 10
#def 10
#mr 10
#mor 10
#enc 3
#mapmove 14
#ap 12
#eyes 2
#weapon 6
#armor 2
#startitem 500
#deathfire 2
#end

--commanders

--names
#selectnametype 170
#addname "Ashtor"
#end

#selectnametype 171
#addname "bahbah"
#addname "tek-li"
#addname "oxcin"
#addname "balbish"
#addname "voxin"
#addname "tearen"
#addname "blackgoth"
#addname "shezin"
#addname "darkor"
#addname "torfin"
#addname "bokcor"
#addname "tooltin"
#addname "bolfor"
#addname "Fengka"
#addname "daldor"
#addname "croskin"
#addname "whaba"
#addname "ligma"
#addname "botha"
#addname "deez"
#addname "nutz"
#end

--sites

--spells

--magic items

#selectitem 500
#name "slave collar2"
#type 8
#autospellrepeat 0
#bers
#extralife
#cursed
#end

--general

--poptypes

--marcenaries

--events

